<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorator="mob/common/layout/MypageLayoutMob">
<!--
 *******************************************************************************
 * @source  : RestockFormMob.html
 * @desc    : 마이페이지 > 재입고알림내역 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2020 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.04.13   gagamel     최초 작성
 *******************************************************************************
 -->
<body>

<th:block layout:fragment="content">
	<main role="" id="" class="container my">
		<section class="content restock">
			<div class="inner bg_gray">
				<div class="announce_txt">
					<div class="announce_list">
						<ul>
							<li>재입고 알림 신청한 내역을 확인 하실 수 있습니다.</li>
							<li>알림을 요청한 날로 부터 15일 안에 입고시 알림을 SMS, 알림톡으로 보내드립니다.</li>
							<li>알림 요청이 완료 또는 경과된 알림은 완료 시점부터 15일 후 삭제됩니다.</li>
						</ul>
					</div>
				</div>
			</div>
			
			<div class="inner">
				<div class="part_goods" id="restockGoods" style="display: none;">
				</div>
				
				<!-- 데이터 없을 시 -->
				<div class="nodata" id="restockNodata" style="display: none;">
					<div class="txt_box">
						<p>재입고 알림 내역이 없습니다.</p>
					</div>
				</div>
			</div>
		</section>
	</main>
	
<script th:inline="javascript">
/*<![CDATA[*/
	let fnGetList = function() {
		$.getJSON('/mypage/restock/list', function (result, status) {
			if (status == 'success') {
				if (result.length > 0) {
					$('#restockGoods').html('');
					
					$.each(result, function (idx, item) {
						let tag = '<div class="goods_section">\n';
						tag += '	<div class="goods_detail">\n';
						tag += '		<a href="javascript:void(0);"  onclick="cfnGoToGoodsDetail(\''+item.goodsCd+'\',\''+item.optCd1+'\',\'IN23_01\')">\n';
						tag += '			<div class="thumb_box">\n';
						tag += '				<img src="' + _uploadGoodsUrl + '/' + item.sysImgNm + '" alt="">\n';
						tag += '			</div>\n';
						tag += '			<div class="info_box">\n';
						tag += '				<div class="od_name">\n';
						
						if (!gagajf.isNull(item.informDt)) {
							tag += '					<span class="restock_ready"><em>' + item.informDt + '</em> 알림</span>\n';
						} else {
							if (item.pastDays > 15) {
								tag += '					<span class="restock_past">알림 요청일 경과</span>\n';
							} else {
								tag += '					<span class="restock_remain"><em>' + (15 - Number(item.pastDays)) + '</em>일 남음</span>\n';
							}
						}
						
						tag += '					<div class="brand">\n';
						tag += '						<span>' + item.brandEnm + '</span>\n';
						tag += '					</div>\n';
						tag += '					<div class="name">' + item.goodsNm + '</div>\n';
						tag += '				</div>\n';
						tag += '				<div class="od_opt">\n';
						tag += '					<div class="option"><em>' + item.optCd1 + '</em><em>' + item.optCd2 + '</em></div>\n';
						tag += '				</div>\n';
						tag += '			</div>\n';
						tag += '		</a>\n';
						tag += '	</div>\n';
						tag += '	<div class="btn_group_flex">\n';
						
						if (!gagajf.isNull(item.informDt)) {
							tag += '		<div><button type="button" class="btn btn_primary" onclick="cfnGoToGoodsDetail(\'' + item.goodsCd + '\');"><span>바로구매</span></button></div>\n';
						} else {
							tag += '		<div><button type="button" class="btn btn_default" onclick="fnUpdateRestockContinue(' + item.rinbdInfoSq + ');"><span>알림연장</span></button></div>\n';
						}
						
						tag += '	</div>\n';
						tag += '</div>\n';
						
						$('#restockGoods').append(tag);
						$('#restockGoods').show();
						$('#restockNodata').hide();
					});
				} else {
					// 데이터 없을 시
					$('#restockGoods').hide();
					$('#restockNodata').show();
				}
			}
		});
	}
	
	// 알림 연장
	let fnUpdateRestockContinue = function(rinbdInfoSq) {
		mcxDialog.confirm("알림을 연장하시겠습니까?", {
			cancelBtnText: "취소",
			sureBtnText: "확인",
			sureBtnClick: function() {
				let params = new Object();
				params.rinbdInfoSq = rinbdInfoSq;
				
				var jsonData = JSON.stringify(params);
				gagajf.ajaxJsonSubmit('/mypage/restock/continue/update'
						, jsonData
						, function() {
							fnGetList();
						});
			}
		});
	}

	$(document).ready(function() {
		// 타이틀명
		$('#htopTitle').text('재입고 알림내역');
		
		fnGetList();
	});
/*]]>*/
</script>

</th:block>

</body>
</html>